\name{tilinghuman20r02hsrefseqMAPCOUNTS} 

\alias{tilinghuman20r02hsrefseqMAPCOUNTS}


\title{Number of mapped keys for the maps in package tilinghuman20r02hsrefseq.db}

\description{
  tilinghuman20r02hsrefseqMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package tilinghuman20r02hsrefseq.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  tilinghuman20r02hsrefseqMAPCOUNTS
  mapnames <- names(tilinghuman20r02hsrefseqMAPCOUNTS)
  tilinghuman20r02hsrefseqMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package tilinghuman20r02hsrefseq.db
  checkMAPCOUNTS("tilinghuman20r02hsrefseq.db")
}

\keyword{datasets}

